package com.module.pay.common

import com.quyunshuo.androidbaseframemvvm.base.R
import com.quyunshuo.androidbaseframemvvm.common.constant.MMKVName

//1 多选项值
//2 开关
//3 输入类
/**
 * nameId:显示名称,这里存储的是rid,方便后续国际化
 * nameS:名称
 * category：分类
 * drfault：默认值
 * type：类型 1  开关 2 输入类 3 多选项值（国家，语言，通讯） 4 滑块(音量) 5 文本 6 按钮
 * mmkvName：保存key
 */
enum class OtherEnum(var nameId:Int,var nameS:String,var category:String,var drfault:Any,var type:Int,var mmkvName: String) {
    CONTACT_WAY(R.string.base_contact_way,"联系方式","系统设置","123456", 2,MMKVName.CONTACT_WAY),
    CONTACT(R.string.base_contact,"联系名字","系统设置","陈某", 2,MMKVName.CONTACT),
    AUTO_START_HOTSPOT(R.string.base_auto_start_hotspot,"开启自启热点","系统设置",false,1, MMKVName.AUTO_START_HOTSPOT),
    NAME_HOTSPOT(R.string.base_name_hotspot,"热点名称","系统设置","sunzee",2, MMKVName.NAME_HOTSPOT),
    PWD_HOTSPOT(R.string.base_pwd_hotspot,"热点密码","系统设置","66666666",2, MMKVName.PWD_HOTSPOT),
    LONG_CLICK_SHOW_STATUS_BAR(R.string.base_long_click_show_status_bar,"登录页长按显示状态栏","系统设置",true,1, MMKVName.LONG_CLICK_SHOW_STATUS_BAR),
    VOLUME(R.string.base_volume,"音量","系统设置",true,4, MMKVName.VOLUME),
    LUMINANCE(R.string.base_luminance, "亮度", "系统设置", true, 4, MMKVName.LUMINANCE),
    SIM(R.string.base_sim, "SIM", "系统设置", "", 5, MMKVName.SIM),
    SIM_IMEI(R.string.base_sim_imei, "SIM IMEI", "系统设置", "", 5, MMKVName.SIM_IMEI),
    CUT_SYSTEM_SET(R.string.base_cut_system_set, "切换系统设置", "系统设置", "", 6, MMKVName.CUT_SYSTEM_SET),
    WIFI_HOTSPOT(R.string.base_wifi_hotspot, "Wifi热点", "系统设置", false, 1, MMKVName.WIFI_HOTSPOT),


    AGREEMENT(R.string.base_agreement,"通讯协议","串口设置", PayAgreementUtil.MDB_ICT, 3,MMKVName.MDB),//ArrayList<String>(listOf("MDB","ICT","WMDB"))
    CHANGE(R.string.base_change,"找零功能","找零设置",false, 1,MMKVName.CHANGE),
  //    BILL_COUNTRY(R.string.bill_country,"国家纸币选择","串口设置",ArrayList<String>(listOf("MDB","ICT")), 3,MMKVName.BILL_COUNTRY),
    NAYAX_MODE(R.string.base_nayax_mode,"Nayax闲置模式","串口设置",false,1,MMKVName.NAYAX_MODE),
    TTYS_NAYAX(R.string.base_ttys_nayax,"Nayax 串口","串口设置","ttyS3",2,MMKVName.TTYS_NAYAX),
    TTYS_MDB(R.string.base_ttys_mdb,"MDB 串口","串口设置","ttyS5",2,MMKVName.TTYS_MDB),
    TTYS_PLC(R.string.base_ttys_plc,"PLC 串口","串口设置","ttyS7",2,MMKVName.TTYS_PLC),
    BILL_COLLOCATION(R.string.base_bill_collocation,"MDB 纸币托管","通讯设置",false,1,MMKVName.BILL_COLLOCATION),
    MDB_LEVEL(R.string.base_mdb_level,"MDB L3级别","通讯设置",true,1,MMKVName.MDB_LEVEL),
    MDB_RATE(R.string.base_mdb_rate,"MDB 倍率","串口设置","100",2,MMKVName.MDB_RATE),
    CARD_TEXT(R.string.base_card_text,"指引消费者刷卡文本","串口设置","",2,MMKVName.CARD_TEXT),
    BILL_TRUST(R.string.base_bill_trust,"纸币托管","串口设置",false,1,MMKVName.BILL_TRUST),
    MDB_CASH_SALE(R.string.base_mdb_cash_sale,"MDB Cash Sale","串口设置",true,1,MMKVName.MDB_CASH_SALE),


    PROMOTION_CODE(R.string.base_promotion_code,"优惠码","功能开启",false, 1,MMKVName.PROMOTION_CODE),
    MAKE_CLEAN_PRICE(R.string.base_make_clean_price,"制作后清零金额","功能开启",false, 1,MMKVName.MAKE_CLEAN_PRICE),
    STAFF_LOGIN(R.string.base_staff_login,"员工登录","功能开启",false, 1,MMKVName.STAFF_LOGIN),
    //离线订单上传  自动的，不需要开关
    //提示没有退币功能。
    AD_RULE(R.string.base_ad_rule,"广告规则","功能开启",true, 1,MMKVName.AD_RULE),
    AUTO_RETURN_HOME(R.string.base_auto_return_home,"自动返回首页(分钟)","功能开启","10", 2,MMKVName.AUTO_RETURN_HOME),
    SLEEP_TEXT(R.string.base_sleep_text,"休眠中文本","功能开启","", 2,MMKVName.SLEEP_TEXT),
    LOGO_TEXT(R.string.base_logo_text,"图标变更","功能开启","1", 2,MMKVName.LOGO_TEXT),


    SHOPPING_TROLLEY(R.string.base_shopping_trolley,"购物车功能","购物车设置",true, 1,MMKVName.SHOPPING_TROLLEY),
    SHOPPING_CART_SIZE(R.string.base_shopping_cart_size,"购物车可添加数量","购物车设置","5", 2,MMKVName.SHOPPING_CART_SIZE),
    TWO_PRICE_DISCOUNT(R.string.base_two_price_discount,"第二件折扣","购物车设置","10", 2,MMKVName.TWO_PRICE_DISCOUNT),
    THREE_PRICE_DISCOUNT(R.string.base_three_price_discount,"第三件折扣","购物车设置","10", 2,MMKVName.THREE_PRICE_DISCOUNT),
    FIVE_PRICE_DISCOUNT(R.string.base_five_price_discount,"第五件折扣","购物车设置","10", 2,MMKVName.FIVE_PRICE_DISCOUNT),
    TIPS_DISCOUNT_TEXT(R.string.base_tips_discount_text,"折扣提示文本","购物车设置","", 2,MMKVName.TIPS_DISCOUNT_TEXT),
    DISCOUNT_FUNCTION(R.string.base_discount_function,"折扣功能","找零设置",false, 1,MMKVName.DISCOUNT_FUNCTION),

    CHANGE_FUNCTION(R.string.base_change_function,"找零功能","找零设置",false, 1,MMKVName.CHANGE_FUNCTION),
    CHANGE_BILL(R.string.base_change_bill,"找零纸币","找零设置",false, 1,MMKVName.CHANGE_BILL),
    CHANGE_COIN(R.string.base_change_coin,"找零硬币","找零设置",false, 1,MMKVName.CHANGE_COIN),
    //找零类型
    CHANGE_DOLLAR(R.string.base_change_dollar,"币值设置(一枚硬币等于的金额)","找零设置","1", 2,MMKVName.CHANGE_DOLLAR),
    CHANGE_COIN_REP(R.string.base_change_coin_rep,"找零硬币库存","找零设置","200", 2,MMKVName.CHANGE_COIN_REP),
    CHANGE_ALLOW_NUMBER(R.string.base_change_allow_number,"允许一次找零个数","找零设置","7", 2,MMKVName.CHANGE_ALLOW_NUMBER),
    CHANGE_WARNING_NUMBER(R.string.base_change_warning_number,"找零预警库存","找零设置","100", 2,MMKVName.CHANGE_WARNING_NUMBER),

    OTHERPRICEUNIT(R.string.base_price_unit,"货币单位","其他",PriceUnitUtlis.PRICEUNIT_LIST,7,MMKVName.PRICE_UNIT)
}